#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/libksirtet
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libksirtet
  ${CMAKE_SOURCE_DIR}/libksirtet/base
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### ksirtetcommon (static) ####################

tde_add_library( ksirtetcommon STATIC_PIC AUTOMOC
  SOURCES types.cpp factory.cpp misc_ui.cpp highscores.cpp board.cpp ai.cpp
    field.cpp settings.cpp inter.cpp main.cpp commonprefs.kcfgc
  LINK tdegames-shared ksirtetmultiplayers-static ksirtetbase-static
)
